<?xml version="1.0"?>
<?script href="dcmain.js"?/>
<?include href="dcmenuedit.xul"?/>
<?include href="dcmenutmpl.xul"?/>
<?include href="dcvideoedit.xul"?/>
<?include href="dcoutput.xul"?/>
<?include href="dcsetting.xul"?/>
<?include href="dcregister.xul"?/>
<?include href="dcabout.xul"?/>
<?include href="dcdialog.xul"?/>
<?include href="dcmenupopup.xul"?/>
<?include href="dclog.xul"?/>
<?include href="dcalert.xul"?/>
<?include href="dcwait.xul"?/>
<!--
<?include href="dcdvcapture.xul"?/>
-->

<window 
	id="dcmain" 
	title="_product_name"
	orient="vertical"
	align="center" 
	width="766"
	height="566"
	background-image="background.png"
	tilemode="1"
	background-color="RGB(255,255,255)"

	language_prefix="_"
	vMargin="2" 
	hMargin="2"
	center="true"
	resize="false"
	round="true"
	roundx="27"
	roundy="25"
	systitle="false"
	onmove="dcmain_onmove"
	ondevchange="dcmain_devchange"
	>
	<!--for package buy menu-->
	<menu id="buymenu">
	  <item id="buy1" label="buy1" onclick="GoBuy1(0);"/>
	  <item id="buy2" label="buy2" onclick="GoBuy1(1);"/>
	  <item id="buy3" label="buy3" onclick="GoBuy1(2);"/>
	  <item id="buy4" label="buy4" onclick="GoBuy1(3);"/>
	  <item id="buy5" label="buy5" onclick="GoBuy1(4);"/>
	</menu>
	
	<spacer height="6" />

	<panel height="25" orient="horizontal" transparent="true">
		<spacer width="270" align="left" transparent="true" />
		<vbox >
			<static image="skin\standard\dvdcreator-icon.png" 
				height="16" width="16" 
				transparent="true" sizetoimage="true" />
		</vbox>
		<spacer width="3" align="left" />
		<static id="title001" label="_main_title" 
			text-align="left" align="left" width="155" transparent="true" 
			font-size="16" font-bold="true" font-color="RGB(255,255,255)"
			sizetocontent="true" />
		<spacer width="5" align="right"/>
		<button align="right" image="window_min.png" sizetoimage="true" onclick="dcmain.Minimize()"/>
		<button align="right" image="window_close.png" sizetoimage="true" onclick="dcmain_destroy"/>
		<spacer width="38" align="right"/>
	</panel>
	
	<hbox>
		<spacer width="20" align="left"/>
		<panel style="" height="500" width="478" label="" transparent="true" orient="vertical" >
			<spacer height="3" />
			<hbox>
				<spacer width="15" align="left"/>
				<menubar id="menubar" align="top" width="400" height="25" >
					<menu id="menuopfile" label="_menu_file" >
				  		<item id="menuopfileaddfile" label="_menu_add_file" 
				  			onclick="dcmain_addvideofile"/>
<!--				  		
				  		<item id="menuopfileadddv" label="_menu_dv" onclick="dcmain_capturedv"/>
-->				  		
				  		<item id="menuopfileaddfolder" label="_menu_folder" 
				  			onclick="dcmain_addvideofolder"/>
				  		<item type="separator"/>
				  		<item id="menuopfileexit" label="_menu_exit" 
				  			onclick="dcmain_destroy"/>
				  	</menu>
					<menu id="menuopedit" label="_menu_edit" >
				  		<item id="menuopeditedit" label="_menu_edit" 
				  			onclick="dcmain_videoedit"/>
				  		<item type="separator"/>
				  		<item id="menuopeditup" label="_menu_up" 
				  			onclick="dcmain_listmoveup"/>
				  		<item id="menuopeditdown" label="_menu_down" 
				  			onclick="dcmain_listmovedown"/>
				  		<item type="separator"/>
				  		<item id="menuopeditdel" label="_menu_del" 
				  			onclick="dcmain_videodel"/>
				  		<item id="menuopeditclear" label="_menu_clear" 
				  			onclick="dcmain_videoclear"/>
				  		<item type="separator"/>
				  		<item id="menuopeditselall" label="_menu_all" 
				  			onclick="dcmain_videoall"/>
				  		<item id="menuopeditselreverse" label="_menu_reverse" 
				  			onclick="dcmain_videoreverse"/>
				  	</menu>
					<menu id="menuopact" label="_menu_act" >
<!--					
				  		<item id="menuopactpreview" label="_menu_preview" onclick=""/>
				  		<item type="separator"/>
-->				  		
				  		<item id="menuopactburn" label="_menu_burn" onclick="dcmain_dvdoutput"/>
<!--				  		
				  		<item type="separator"/>
				  		<item id="menuopactdvburn" label="_menu_dv_burn" onclick="dcmain_capturedv"/>
-->				  		
				  	</menu>
					<menu id="menuoptool" label="_menu_tools" >
						<menu id="menuoptoolskin" label="_menu_skin" >
					  		<item id="menuskinstandard" label="_menu_standard" 
					  			checked="false" onclick="dcmain_menuskinstandard" />
					  		<item id="menuskinspecial" label="_menu_special" 
					  			checked="false" onclick="dcmain_menuskinspecial" />
					  	</menu>
						<menu id="menuoptoollang" label="_menu_lang" >
					  		<item id="menulangenglish" label="_menu_eng"
					  			checked="false" onclick="dcmain_menulanenglish" />
					  		<item id="menulangchinese" label="_menu_chs" 
					  			checked="false" onclick="dcmain_menulangchinese" />
					  	</menu>
				  		<item type="separator"/>
						<menu id="menuoptoolfinished" label="_menu_after" >
					  		<item id="menuwithnone" label="_menu_no"
					  			checked="false" onclick="dcmain_menuwithnone" />
					  		<item id="menuwithpoweroff" label="_menu_poweroff"
					  			checked="false" onclick="dcmain_menuwithpoweroff" />
					  		<item id="menuwithsleep" label="_menu_sleep"
					  			checked="false" onclick="dcmain_menuwithsleep" />
					  		<item id="menuwithwait" label="_menu_wait"
					  			checked="false" onclick="dcmain_menuwithwait" />
					  		<item id="menuwithquit" label="_menu_quit"
					  			checked="false" onclick="dcmain_menuwithquit" />
					  	</menu>
				  		<item type="separator"/>
				  		<item id="menuoptoolsetting" label="_menu_setting" onclick="dcmain_setting" />
				  	</menu>
					<menu id="menuophelp" label="_menu_help" >
				  		<item id="menuophelphelp" label="_menu_showhelp" 
				  			onclick="dcmain_help"/>
				  		<item type="separator"/>
				  		<item id="menuophelpbuy" label="_menu_buy" 
				  			onclick="dcmain_buy"/>
				  		<item id="menuophelplicense" label="_menu_license" 
				  			onclick="dcmain_inputlicense"/>
				  		<item id="menuophelpsupport" label="_menu_support" 
				  			onclick="dcmain_support"/>
				  		<item type="separator"/>
				  		<item id="menuophelpabout" label="_menu_about" 
				  			onclick="dcmain_about" />
				  	</menu>
				</menubar> 
			</hbox>
			<panel style="" height="311" width="469" label="" transparent="true" orient="horizontal" >
				<spacer width="1" align="left"/>
				<listctrl id="listctrlfiles" align="stretch" 
					image="TableHead.png"
					headHeight="160" itemHeight="36" 
					border="true" 
					emptyimage="tableempty.png"
					font-bold="false"
					font-color="RGB(255,255,255)" 
					listctrl-font-color="RGB(0,0,0)" 
					onrightclick="dcmain_listrclick" 
					onitemclick="dcmain_listitemclick" 
					ondropfile="dcmain_ondropfile" 
					>
					<column id="image001" label="" 
						width="22" align="center" 
						headimage="pens.png"
						type="image" />
					<column id="image002" label="" 
						width="52" align="center" 
						imagewidth="43" imageheight="32" 
						type="image" />
					<column id="title003" label="_list_name" 
						width="100" align="left" />
					<column id="pixel004" label="_list_resolution" 
						width="65" align="center" />
					<column id="model005" label="_list_zoom" 
						width="100" align="center" 
						type="combobox" image="dropdown-list.png" 
						list="Letterbox,Pan and Scan,Full Screen" 
						comboheight="3" 
						defindex="0" />
					<column id="time006" label="_list_time" 
						width="55" align="left" />
					<column id="path007" label="_list_path" 
						width="200" align="left" />
				</listctrl>
			</panel>
			<hbox >
				<panel style="" height="31" width="225" label="" transparent="true" orient="vertical" >
					<spacer height="3"/>
					<hbox >
						<spacer width="12"/>
						<button id="buttonedit" label="" image="editvideo.png" sizetoimage="true" 
							tooltip-text="_menu_edit" 
							onclick="dcmain_videoedit" />
						<spacer width="5"/>
						<button id="buttondel" label="" image="delvideo.png" sizetoimage="true" 
							tooltip-text="_menu_del" 
							onclick="dcmain_videodel" />
						<spacer width="5"/>
						<button id="buttonclear" label="" image="clear.png" sizetoimage="true" 
							tooltip-text="_menu_clear" 
							onclick="dcmain_videoclear" />
						<spacer width="45"/>
						<button id="buttonup" label="" image="moveup.png" sizetoimage="true" 
							tooltip-text="_menu_up" 
							onclick="dcmain_listmoveup" />
						<spacer width="5"/>
						<button id="buttondown" label="" image="movedown.png" sizetoimage="true" 
							tooltip-text="_menu_down" 
							onclick="dcmain_listmovedown" />
					</hbox>		
				</panel>
				<panel style="" height="31" width="245" label="" transparent="true" orient="vertical" >
					<hbox >
						<button id="buttonview001" image="normalview1.png" sizetoimage="true" label="" 
							tooltip-text="_view_normal" 
							align="right"
							onclick="dcmain_listviewnormal" />
						<button id="buttonview002" image="fileview.png" sizetoimage="true" label="" 
							tooltip-text="_view_file" 
							align="right"
							onclick="dcmain_listviewfile" />
<!--
						<button id="buttonview003" image="miniview.png" sizetoimage="true" label="" 
							tooltip-text="_view_mini" 
							align="right"
							onclick="" />
-->							
						<spacer width="15" align="right" />
					</hbox>
				</panel>
				
			</hbox>	
			<panel style="" height="88" width="466" label="" transparent="true" orient="horizontal" >
				<hbox >
					<spacer width="15"/>
					<vbox >
						<button align="center" id="buttonchoosefile" 
							image="addvideo.png" sizetoimage="true" 
							label="_btn_addvideo" textposx="15" textposy="35" 
							font-color="RGB(255,255,255)"
							onclick="dcmain_addvideofile" />
					</vbox>
					<spacer width="15"/>
					<vbox >
						<spacer height="1"/>
						<hbox>
							<static label="_static_dest" transparent="true" 
								width="80" height="15" text-align="left" />
						</hbox>
						<hbox>
							<combobox id="combodestination" width="200" height="20" 
								image="dropdown.png" style="flat" 
								downlist="" 
								datalist=""
								index=-1 
								onchange="dcmain_targetchange" />
						</hbox>
						<spacer height="3"/>
						<hbox>
							<static label="_static_dvdname" transparent="true" 
								width="80" height="15" text-align="left" />
						</hbox>
						<hbox>
							<edit id="editdvdname" width="200" height="18" align="stretch" 
								text="My DVD" />
						</hbox>
					</vbox>
					<spacer width="35"/>
					<vbox>
						<button id="buttonburn" align="center" 
							tooltip-text="_btn_burn" label="" 
							image="startburn.png" sizetoimage="true" 
							onclick="dcmain_dvdoutput" onupdate=""/>
					</vbox>
				</hbox>
			</panel>
			<spacer height="2" />
			<panel style="" height="25" width="480" label="" transparent="true" orient="vertical" >
				<hbox >
					<spacer width="3"/>
					<combobox id="combodisktype" width="85" height="20" 
						image="dropdown.png" style="flat" 
						downlist="D5    4.7G,D9    8.5G" 
						data="4700,8500"
						index=0 
						onchange="dcmain_disksizechange" />
					<progress id="progresscontent" width="370" height="20" border="true" 
						foreground-image="capacity_nor.png" 
						background-image="capacity.png" 
						decorate-image="4700.png" decorate-pos="80" 
						pos=0 text="        0 MB" text-align="left" />
				</hbox>
			</panel>
		</panel>
		<spacer width="7" align="left" />
		<panel style="" height="498" width="224" label="" transparent="true" orient="vertical">
			<vbox>
				<hbox>
					<static label="_btn_menuedit" transparent="true" 
						width="90" text-align="right" />
					<static label="  " transparent="true" 
						width="2" text-align="right" />
					<static id="staticmenuname" label="_static_nonemenu" transparent="true" 
						width="130" text-align="left" />
				</hbox>
				<panel style="" height="30" width="225" label="" transparent="true" orient="horizontal" >
					<button id="buttonmenuedit" align="right" label="_btn_edit" 
						image="editmenu.png" sizetoimage="true" 
						onclick="dcmain_menuedit" />
					<button id="buttonmenutmpl" align="right" label="_btn_tmpl" 
						image="menutemp.png" sizetoimage="true" 
						onclick="dcmain_menutmpl" />
					<spacer width="15" align="right"/>
				</panel>
				<spacer height="1" />
				<hbox>
					<spacer width="8" align="left" />
					<static id="staticmenupreview" transparent="true" 
						image="Skin\NoneMenu.jpg"
						height="151" width="201" text-align="left" />
				</hbox>
				<spacer height="58" />
				<hbox>
					<spacer width="8" align="left" />
					<static id="staticvideopreview" transparent="true" 
						image="skin\black.png" 
						height="150" width="200" text-align="left" />
				</hbox>
				<hbox>
					<slider id="slidervideotime" align="center" width="222" height="30" 
						max="1000" min="0" 
						thumb-image="sliderblock.png"
						channel-image="sliderfore.png" 
						gone-image="" 
						selection-image="ProfPlayBar.bmp" 
						start-image="regionLT.bmp" 
						end-image="regionRT.bmp"
						onchange="dcmain_sliderchange" 
						onbegindrag="dcmain_sliderbegdrap" />
				</hbox>
				<hbox>
					<spacer width="38" />
					<button id="buttonctrlplay" image="play.png" sizetoimage="true" 
						tooltip-text="_btn_play" 
						onclick="dcmain_dvdplay" />
					<spacer width="5" />
					<button id="buttonctrlstop" image="stop.png" sizetoimage="true" 
						tooltip-text="_btn_stop" 
						onclick="dcmain_dvdstop" />
					<spacer width="5" />
					<button id="buttonctrlgobeg" image="previous.png" sizetoimage="true" 
						tooltip-text="_btn_previous" 
						onclick="dcmain_dvdprevious" />
					<spacer width="5" />
					<button id="buttonctrlgoend" image="next.png" sizetoimage="true" 
						tooltip-text="_btn_next" 
						onclick="dcmain_dvdnext" />
				</hbox>
			</vbox>
		</panel>
	</hbox>
	
</window>